MODULE_EXIT(9)

NAME
module_exit - driver exit entry point

SYNOPSIS

module_exit(x);

ARGUMENTS

x
    function to be run when driver is removed

DESCRIPTION

module_exit will wrap the driver clean-up code with cleanup_module when used with rmmod when the driver is a module. If the driver is statically compiled into the kernel, module_exit has no effect. There can only be one per module.

COPYRIGHT